TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getCustomFields({
integration_id: "<id>",
});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_custom_fields(integration_id: '<id>', page_size: 100)
unless res.get_integrations_integration_id_custom_fields_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_custom_fields(integration_id="<id>", page_size=100)
while res is not None:
# Handle items
res = res.next()curl --request GET \
--url https://api.kombo.dev/v1/integrations/{integration_id}/custom-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/integrations/{integration_id}/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/integrations/{integration_id}/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/integrations/{integration_id}/custom-fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/integrations/{integration_id}/custom-fields")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"results": [
{
"id": "D9CoSqqun6ix7uKEwb2kHBU1",
"key": "unified_tax_id",
"integration_field": {
"id": "FFpTK47GhXnU6QAopPq2bdos",
"key": "tax_id",
"type": "DEFAULT",
"label": "The employee's tax ID"
},
"model": "hris_employees",
"label": null,
"description": null
}
],
"next_cursor": null,
"next": null
}
}Custom Fields
Get custom fields with current mappings
Get all custom fields available on the specified integration.
GET
/
integrations
/
{integration_id}
/
custom-fields
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getCustomFields({
integration_id: "<id>",
});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_custom_fields(integration_id: '<id>', page_size: 100)
unless res.get_integrations_integration_id_custom_fields_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_custom_fields(integration_id="<id>", page_size=100)
while res is not None:
# Handle items
res = res.next()*This includes the mapping to the corresponding integration field if applicable
Authorizations
Path Parameters
GET /integrations/:integration_id/custom-fields Parameter
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
Required range:
1 <= x <= 250Response
GET /integrations/:integration_id/custom-fields Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"results": [
{
"id": "D9CoSqqun6ix7uKEwb2kHBU1",
"key": "unified_tax_id",
"integration_field": {
"id": "FFpTK47GhXnU6QAopPq2bdos",
"key": "tax_id",
"type": "DEFAULT",
"label": "The employee's tax ID"
},
"model": "hris_employees",
"label": null,
"description": null
}
],
"next_cursor": null,
"next": null
}
Was this page helpful?
⌘I